Get one live enrichment document
curl --request GET \
--url https://api.example.com/enrichments/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/enrichments/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/enrichments/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/enrichments/{name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/enrichments/{name}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/enrichments/{name}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/enrichments/{name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "02_namespace_to_org",
"description": "EKS pods the pod label does not resolve -> namespace's responsible organization",
"keyField": "cos_namespace",
"priority": 2,
"conditions": "input.cos_cluster_name != null && input.cos_namespace != \"\"",
"targetColumns": [
{
"name": "owner_org",
"mode": "merge"
},
{
"name": "owner_org_code",
"mode": "merge"
}
],
"entries": [
{
"key": "team-a",
"then": {
"owner_org": "Platform",
"owner_org_code": "PLAT"
}
}
]
}Enrichments
Get one live enrichment document
One live document in the JSON form of the YAML file. A response saved unmodified is a valid PUT body. conditions is the stored CEL and is omitted when unset. Any member.
GET
/
enrichments
/
{name}
Get one live enrichment document
curl --request GET \
--url https://api.example.com/enrichments/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/enrichments/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/enrichments/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/enrichments/{name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/enrichments/{name}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/enrichments/{name}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/enrichments/{name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "02_namespace_to_org",
"description": "EKS pods the pod label does not resolve -> namespace's responsible organization",
"keyField": "cos_namespace",
"priority": 2,
"conditions": "input.cos_cluster_name != null && input.cos_namespace != \"\"",
"targetColumns": [
{
"name": "owner_org",
"mode": "merge"
},
{
"name": "owner_org_code",
"mode": "merge"
}
],
"entries": [
{
"key": "team-a",
"then": {
"owner_org": "Platform",
"owner_org_code": "PLAT"
}
}
]
}Authorizations
Send Authorization: Bearer <credential> using either a Clerk session JWT or a Clerk API key (ak_*). API keys may identify a user (user_*) or organization (org_*) principal and are generated in the Clerk Dashboard under API keys.
Path Parameters
Document name. Must match name in the body.
Response
Live document
Must match the name in the URL.
Billing column whose value selects an entry.
Required range:
x >= 0Show child attributes
Show child attributes
Show child attributes
Show child attributes
CEL expression. Every field is input. plus one SQL identifier. Omitted when unset.
Last modified on October 12, 2026
Was this page helpful?
